Subject: bug#11675: stty bad C semantics

From: Pádraig Brady <[email-masked]>
Date: Tue, 12 Jun 2012 01:42:13 +0100

On 06/12/2012 01:13 AM, Paul Eggert wrote:
> On 06/11/2012 04:47 PM, Pádraig Brady wrote:
>> it touches multiple places in the code
> 
> Which other places?  We do use = { FOO }
> to initialize in many places in the code, but
> I don't recall any other places that rely on
> initializing padding to zero.

Oh right, sorry.
So if this is the only instance then I
guess it's pragmatic to memset here
(with an appropriate comment).

It's still a bug I think in CIL,
so it would be great to report there too.

cheers,
Pádraig.